Package com.ocient.jdbc.proto

# Class ClientWireProtocol.ExecuteExplainForSpark.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExecuteExplainForSpark.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.ExecuteExplainForSpark.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.ExecuteExplainForSparkOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.ExecuteExplainForSpark

    public static final class ClientWireProtocol.ExecuteExplainForSpark.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExecuteExplainForSpark.Builder>
    implements ClientWireProtocol.ExecuteExplainForSparkOrBuilder

Protobuf type `xg.cmdcomp.ExecuteExplainForSpark`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ClientWireProtocol.ExecuteExplainForSpark.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.ExecuteExplainForSpark` | `build()` |
`ClientWireProtocol.ExecuteExplainForSpark` | `buildPartial()` |
`ClientWireProtocol.ExecuteExplainForSpark.Builder` | `clear()` |
`ClientWireProtocol.ExecuteExplainForSpark.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`ClientWireProtocol.ExecuteExplainForSpark.Builder` | `clearForce()` | `bool force = 4;`
`ClientWireProtocol.ExecuteExplainForSpark.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`ClientWireProtocol.ExecuteExplainForSpark.Builder` | `clearPartitioningParam()` | `sfixed32 partitioningParam = 3;`
`ClientWireProtocol.ExecuteExplainForSpark.Builder` | `clearSql()` | `string sql = 1;`
`ClientWireProtocol.ExecuteExplainForSpark.Builder` | `clearType()` | `.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`
`ClientWireProtocol.ExecuteExplainForSpark.Builder` | `clone()` |
`ClientWireProtocol.ExecuteExplainForSpark` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`boolean` | `getForce()` | `bool force = 4;`
`int` | `getPartitioningParam()` | `sfixed32 partitioningParam = 3;`
`String` | `getSql()` | `string sql = 1;`
`com.google.protobuf.ByteString` | `getSqlBytes()` | `string sql = 1;`
`ClientWireProtocol.ExecuteExplainForSpark.PartitioningType` | `getType()` | `.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`
`int` | `getTypeValue()` | `.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`ClientWireProtocol.ExecuteExplainForSpark.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`ClientWireProtocol.ExecuteExplainForSpark.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`ClientWireProtocol.ExecuteExplainForSpark.Builder` | `mergeFrom​(ClientWireProtocol.ExecuteExplainForSpark other)` |
`ClientWireProtocol.ExecuteExplainForSpark.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`ClientWireProtocol.ExecuteExplainForSpark.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.ExecuteExplainForSpark.Builder` | `setForce​(boolean value)` | `bool force = 4;`
`ClientWireProtocol.ExecuteExplainForSpark.Builder` | `setPartitioningParam​(int value)` | `sfixed32 partitioningParam = 3;`
`ClientWireProtocol.ExecuteExplainForSpark.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`ClientWireProtocol.ExecuteExplainForSpark.Builder` | `setSql​(String value)` | `string sql = 1;`
`ClientWireProtocol.ExecuteExplainForSpark.Builder` | `setSqlBytes​(com.google.protobuf.ByteString value)` | `string sql = 1;`
`ClientWireProtocol.ExecuteExplainForSpark.Builder` | `setType​(ClientWireProtocol.ExecuteExplainForSpark.PartitioningType value)` | `.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`
`ClientWireProtocol.ExecuteExplainForSpark.Builder` | `setTypeValue​(int value)` | `.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`
`ClientWireProtocol.ExecuteExplainForSpark.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExecuteExplainForSpark.Builder>`

### clear

public ClientWireProtocol.ExecuteExplainForSpark.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExecuteExplainForSpark.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExecuteExplainForSpark.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.ExecuteExplainForSpark getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.ExecuteExplainForSpark build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.ExecuteExplainForSpark buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public ClientWireProtocol.ExecuteExplainForSpark.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExecuteExplainForSpark.Builder>`

### setField

public ClientWireProtocol.ExecuteExplainForSpark.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExecuteExplainForSpark.Builder>`

### clearField

public ClientWireProtocol.ExecuteExplainForSpark.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExecuteExplainForSpark.Builder>`

### clearOneof

public ClientWireProtocol.ExecuteExplainForSpark.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExecuteExplainForSpark.Builder>`

### setRepeatedField

public ClientWireProtocol.ExecuteExplainForSpark.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExecuteExplainForSpark.Builder>`

### addRepeatedField

public ClientWireProtocol.ExecuteExplainForSpark.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExecuteExplainForSpark.Builder>`

### mergeFrom

public ClientWireProtocol.ExecuteExplainForSpark.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ExecuteExplainForSpark.Builder>`

### mergeFrom

public ClientWireProtocol.ExecuteExplainForSpark.Builder mergeFrom​(ClientWireProtocol.ExecuteExplainForSpark other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExecuteExplainForSpark.Builder>`

### mergeFrom

public ClientWireProtocol.ExecuteExplainForSpark.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ExecuteExplainForSpark.Builder>`
Throws:
  `IOException`

### getSql

public String getSql()
`string sql = 1;`

Specified by:
  `getSql` in interface `ClientWireProtocol.ExecuteExplainForSparkOrBuilder`

### getSqlBytes

public com.google.protobuf.ByteString getSqlBytes()
`string sql = 1;`

Specified by:
  `getSqlBytes` in interface `ClientWireProtocol.ExecuteExplainForSparkOrBuilder`

### setSql

public ClientWireProtocol.ExecuteExplainForSpark.Builder setSql​(String value)
`string sql = 1;`

### clearSql

public ClientWireProtocol.ExecuteExplainForSpark.Builder clearSql()
`string sql = 1;`

### setSqlBytes

public ClientWireProtocol.ExecuteExplainForSpark.Builder setSqlBytes​(com.google.protobuf.ByteString value)
`string sql = 1;`

### getTypeValue

public int getTypeValue()
`.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`

Specified by:
  `getTypeValue` in interface `ClientWireProtocol.ExecuteExplainForSparkOrBuilder`

### setTypeValue

public ClientWireProtocol.ExecuteExplainForSpark.Builder setTypeValue​(int value)
`.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`

### getType

public ClientWireProtocol.ExecuteExplainForSpark.PartitioningType getType()
`.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`

Specified by:
  `getType` in interface `ClientWireProtocol.ExecuteExplainForSparkOrBuilder`

### setType

public ClientWireProtocol.ExecuteExplainForSpark.Builder setType​(ClientWireProtocol.ExecuteExplainForSpark.PartitioningType value)
`.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`

### clearType

public ClientWireProtocol.ExecuteExplainForSpark.Builder clearType()
`.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`

### getPartitioningParam

public int getPartitioningParam()
`sfixed32 partitioningParam = 3;`

Specified by:
  `getPartitioningParam` in interface `ClientWireProtocol.ExecuteExplainForSparkOrBuilder`

### setPartitioningParam

public ClientWireProtocol.ExecuteExplainForSpark.Builder setPartitioningParam​(int value)
`sfixed32 partitioningParam = 3;`

### clearPartitioningParam

public ClientWireProtocol.ExecuteExplainForSpark.Builder clearPartitioningParam()
`sfixed32 partitioningParam = 3;`

### getForce

public boolean getForce()
`bool force = 4;`

Specified by:
  `getForce` in interface `ClientWireProtocol.ExecuteExplainForSparkOrBuilder`

### setForce

public ClientWireProtocol.ExecuteExplainForSpark.Builder setForce​(boolean value)
`bool force = 4;`

### clearForce

public ClientWireProtocol.ExecuteExplainForSpark.Builder clearForce()
`bool force = 4;`

### setUnknownFields

public final ClientWireProtocol.ExecuteExplainForSpark.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExecuteExplainForSpark.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.ExecuteExplainForSpark.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExecuteExplainForSpark.Builder>`